#
# See the file "LICENSE" for the full license governing this code.
#
require 'open-uri'

newparam(:hook) do
  include EasyType
  include EasyType::Validators::Name

  desc <<-EOD
  The name of the hook. This parameter is extracted from the full name.
  No need to specify it in the body of the puppet type.

  EOD


  @@allowed_hooks = nil

  def initialize(args)
    super
    if @@allowed_hooks.nil?
      @@allowed_hooks = JSON.parse(open('https://api.github.com/hooks').read).collect { |e| e['name'] } << 'web'
    end
  end

  validate do |value|
    fail "#{value} not valid a hook name." unless @@allowed_hooks.include?(value)
  end

  desc <<-EOD
  EOD

  isnamevar
end
