#
# See the file "LICENSE" for the full license governing this code.
#
newproperty(:has_wiki, :parent => Puppet::Property::Boolean) do
  include EasyType

  desc <<-EOD
  Either true to enable the wiki for this repository, false to disable it.

  Here is an example on how to do this:

      github_repo { 'account/owner/repo':
        ...
        has_wiki      => 'true',
        ...
      }


  EOD

  to_translate_to_resource do |raw_resource|
    raw_resource[:has_wiki]
  end
end
