#
# See the file "LICENSE" for the full license governing this code.
#
newproperty(:privacy) do
  include EasyType

  desc <<-EOD
  The level of privacy this team should have. Can be one of:

  * secret - only visible to organization owners and members of this team.
  * closed - visible to all members of this organization.

  Default: secret

      github_team { 'authentication/organization/team_name':
        ...
        privacy     => 'secret',
        ...
      }

  EOD

  newvalues(:secret, :closed)

  to_translate_to_resource do |raw_resource|
    raw_resource[self.name]
  end
end
